package com.shkj.wms.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author lch
 */
@Getter
@AllArgsConstructor
public enum JmReportTypeEnum {

    /**
     *
     */

    BILLINGS("1","710117881077219328", "入库验收单"),
    SHELF("2","710119635109986304", "入库上架单"),
    PICK("3","710120425585295360", "整件拣货标签"),
    INNER("4","710121386856857600", "内复核拼箱标签"),
    OUT("5","710121924994449408", "外复核单"),
    PICK_ORDER("6","710123189648408576", "功能库房拣货单");

    private String label;
    private String value;
    private String desc;

    public static JmReportTypeEnum getJmReportTypeEnum(String value) {
        for (JmReportTypeEnum typeEnum : JmReportTypeEnum.values()) {
            if (typeEnum.getLabel().equals(value)) {
                return typeEnum;
            }
        }
        return null;
    }

}
